For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
            • POSTGet Storefront authToken with Credentials
            • POSTGet B2B Storefront Token
            • GETGet Storefront API authToken
            • POSTGet Server to Server Token
            • DELDelete Backend API Tokens
            • GETList Server to Server Tokens
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementAuthentication

Delete Backend API Tokens

Deprecated
DELETE
https://api-b2b.bigcommerce.com/api/io/auth/backend
DELETE
/api/io/auth/backend
$curl -X DELETE https://api-b2b.bigcommerce.com/api/io/auth/backend \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "id": 123
>}'
1{
2 "code": 200,
3 "data": [
4 null
5 ],
6 "meta": {
7 "message": "SUCCESS"
8 }
9}
Deletes an existing Server to Server API `authToken` by specifying its ID. You can get a token’s ID using the [Get All Server to Server Tokens](#get-all-server-to-server-tokens) endpoint. This endpoint cannot be used to delete a BigCommerce API `X-Auth-Token`. **Note:** Unlike most DELETE requests, the `id` value must be added to the request body instead of the parameters.
Was this page helpful?
Previous

Get Server to Server Token

Next

List Server to Server Tokens

Built with

Deletes an existing Server to Server API authToken by specifying its ID. You can get a token’s ID using the Get All Server to Server Tokens endpoint. This endpoint cannot be used to delete a BigCommerce API X-Auth-Token.

Note: Unlike most DELETE requests, the id value must be added to the request body instead of the parameters.

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Request

This endpoint expects an object.
idintegerRequired
The internal ID for the API token.
emailstringOptionalformat: "email">=1 character
The email address associated with the user's account.
namestringOptional
The internal name assigned to the generated API token.

Response

OK
codeintegerDefaults to 200
The HTTP Status code of the response.
datalist of any
metaobject

Errors

404
Not Found Error